gov.ornl.mercury3.services

## Class AbstractQuery

- java.lang.Object
- - gov.ornl.mercury3.services.AbstractQuery

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Query

      public abstract class AbstractQuery
      extends Object
      implements Serializable

  AbstractQuery entity provides the base persistence definition of the Query entity.
  Author:
    MyEclipse Persistence Tools
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractQuery()` default constructor
    `AbstractQuery(QueryId id, Date queryDatetime, String searchType)` minimal constructor
    `AbstractQuery(QueryId id, Date queryDatetime, String searchType, Short spatialSearch, Short freeTextSearch, Short temporalSearch, Short fieldedSearch, String queryString)` full constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Short` | `getFieldedSearch()`
    `Short` | `getFreeTextSearch()`
    `QueryId` | `getId()`
    `Date` | `getQueryDatetime()`
    `String` | `getQueryString()`
    `String` | `getSearchType()`
    `Short` | `getSpatialSearch()`
    `Short` | `getTemporalSearch()`
    `void` | `setFieldedSearch(Short fieldedSearch)`
    `void` | `setFreeTextSearch(Short freeTextSearch)`
    `void` | `setId(QueryId id)`
    `void` | `setQueryDatetime(Date queryDatetime)`
    `void` | `setQueryString(String queryString)`
    `void` | `setSearchType(String searchType)`
    `void` | `setSpatialSearch(Short spatialSearch)`
    `void` | `setTemporalSearch(Short temporalSearch)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractQuery

          public AbstractQuery()

      default constructor

    - #### AbstractQuery

          public AbstractQuery(QueryId id,
                       Date queryDatetime,
                       String searchType)

      minimal constructor

    - #### AbstractQuery

          public AbstractQuery(QueryId id,
                       Date queryDatetime,
                       String searchType,
                       Short spatialSearch,
                       Short freeTextSearch,
                       Short temporalSearch,
                       Short fieldedSearch,
                       String queryString)

      full constructor

  - ### Method Detail

    - #### getId

          public QueryId getId()

    - #### setId

          public void setId(QueryId id)

    - #### getQueryDatetime

          public Date getQueryDatetime()

    - #### setQueryDatetime

          public void setQueryDatetime(Date queryDatetime)

    - #### getSearchType

          public String getSearchType()

    - #### setSearchType

          public void setSearchType(String searchType)

    - #### getSpatialSearch

          public Short getSpatialSearch()

    - #### setSpatialSearch

          public void setSpatialSearch(Short spatialSearch)

    - #### getFreeTextSearch

          public Short getFreeTextSearch()

    - #### setFreeTextSearch

          public void setFreeTextSearch(Short freeTextSearch)

    - #### getTemporalSearch

          public Short getTemporalSearch()

    - #### setTemporalSearch

          public void setTemporalSearch(Short temporalSearch)

    - #### getFieldedSearch

          public Short getFieldedSearch()

    - #### setFieldedSearch

          public void setFieldedSearch(Short fieldedSearch)

    - #### getQueryString

          public String getQueryString()

    - #### setQueryString

          public void setQueryString(String queryString)

Copyright © 2016. All rights reserved.